Cyberduck Mountain Duck CLI

#1014 closed defect (fixed)

Directory listing problem

Reported by: inoxia Owned by: dkocher
Priority: normal Milestone: 2.8
Component: ftp Version: 2.7.3
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description (last modified by dkocher)

Cyberduck 2.7.2 (2750)/2750 doesn't list directories on some WinNT based servers anymore. This used to work...

Example:

ftp://cyberduck:cyber@ftp.electric.se

Cyberduck 2.7.2 lists nothing in this directory.

Using OS X FTP client (Terminal) ls command lists the contents correctly:

ftp> ls
500 'EPSV': command not understood
227 Entering Passive Mode (87,253,81,67,169,121).
125 Data connection already open; Transfer starting.
09-04-06  11:28AM                  149 gearkommandon with spaces.txt
09-04-06  11:28AM                  149 gearkommandon with umlauts ???.txt
09-04-06  11:28AM                  149 gearkommandon.txt

Thanks for your great work with Cyberduck!!!

/Nils Fridén Stockholm, Sweden

Change History (6)

comment:1 Changed on Feb 2, 2007 at 11:01:10 AM by dkocher

  • Description modified (diff)

comment:2 Changed on Feb 19, 2007 at 8:25:20 PM by codeman38

  • Version changed from 2.7.2 to 2.7.3

Having this same problem with an SFTP server running on Win2K3, which presents the same format output in command-line SFTP.

Oddly, this worked for me in 2.7.2 but not in 2.7.3.

comment:3 Changed on Feb 19, 2007 at 8:27:49 PM by codeman38

  • Component changed from ftp to sftp

Should I open a separate bug since my issue is occurring with SFTP rather than FTP? Or should I just change the component for this bug?

comment:4 Changed on Feb 19, 2007 at 8:28:54 PM by codeman38

  • Component changed from sftp to ftp

Changing component back to FTP... didn't mean to reset it for that comment, since the original post does regard FTP... argh, I'm making a mess of this.

comment:5 Changed on May 17, 2007 at 12:30:18 PM by dkocher

  • Milestone set to 2.8
  • Status changed from new to assigned

comment:6 Changed on May 18, 2007 at 4:04:26 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

Testcase added in r2988.

Note: See TracTickets for help on using tickets.
swiss made software